---
tags:
  - Events
description: Add a new event to the events store.<br/>Available category `name` values can be found from the /config endpoint.<br/>`public_data` expects a `message` key, and is for the notification.<br/>`private_data` appears on the Events page of the admin app.
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
  - in: header
    name: body
    type: object
    required: true
    schema: {
      example:  {
        "category": "ORDER",
        "public_data": {
            "message": "Subscription has resumed, with next payment on 2024-01-01",
        },
        "private_data": {
            "id": 666
        }
      }
    }
produces:
  - 'application/json'
responses:
  200:
    schema:
      type: object
      example: {
         "message": "ORDER event captured successfully"
      }
  404:
    schema:
      type: object
      example: {
        "message": "Invalid event category"
      }